Bug 467408 - (mingw32-jasper) Review Request: mingw32-jasper - MinGW Windows Jasper library
Review Request: mingw32-jasper - MinGW Windows Jasper library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On: 454410 mingw32-libjpeg
Blocks: mingw32-gtk2
  Show dependency treegraph
 
Reported: 2008-10-17 07:13 EDT by Richard W.M. Jones
Modified: 2009-03-16 15:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.900.1-8.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 15:42:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
erik-fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-17 07:13:08 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=ea00554abe8421a9f5fb4506c9e6b35983a9005e;path=/jasper/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-jasper-1.900.1-5.fc9.src.rpm
Description: MinGW Windows Jasper library

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW

There are three MinGW-specific patches which need to be
submitted upstream.
Comment 2 Richard W.M. Jones 2009-01-25 08:18:58 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/jasper/mingw32-jasper.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-jasper-1.900.1-6.fc11.src.rpm

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.900.1-6
- Use _smp_mflags.
- Disable static libraries.
- Include documentation.
- Use the same patches as Fedora native package.
- Just run autoconf instead of autoreconf so we don't upgrade libtool.
- +BR mingw32-dlfcn.
- Don't need the manual pages.
Comment 3 Erik van Pienbroek 2009-03-08 12:11:35 EDT
This review is done for the -7 release which is on the annexia.org webserver.

- The %defattr line must be %defattr(-,root,root,-)
- The purpose of the patches (or upstream bugreport) should be mentioned in the .spec file
- The patch 'jasper-1.701.0-GL.patch' has no effect as OpenGL support is disabled using a ./configure flag
- According to http://www.nondot.org/sabre/Mirrored/libtool-2.1a/libtool_5.html, the AM_DISABLE_SHARED macro is used for setting the default behaviour for building shared libraries. "The user may still override this default by specifying `--enable-shared'". So it should be sufficient to drop the 'jasper-1.900.1-mingw32.patch' patch and use '--enable shared' as ./configure flag.
- The patch 'jasper-1.900.1-mingw32.patch' can be simplified by only adjusting the Makefile.in. This prevents having to use autoconf while still archieving the same effect
Comment 4 Richard W.M. Jones 2009-03-09 13:19:53 EDT
Spec URL: http://www.annexia.org/tmp/mingw32-jasper.spec
SRPM URL: http://www.annexia.org/tmp/mingw32-jasper-1.900.1-8.fc11.src.rpm

* Mon Mar  9 2009 Richard W.M. Jones <rjones@redhat.com> - 1.900.1-8
- Fix defattr line.
- Remove the enable-shared patch, and just use --enable-shared on
  the configure line.
- Disable the GL patch since OpenGL is disabled.
- Document what the patches are for in the spec file.
- Only patch Makefile.in so we don't have to rerun autotools, and
  remove autotools dependency.
Comment 5 Erik van Pienbroek 2009-03-11 05:52:14 EDT
Looks good. There's just a small rpmlint warning remaining which you might want to look into:
mingw32-jasper.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libjasper.dll.a

Anyway,

====================================================
 The package mingw32-jasper is approved by epienbro
====================================================
Comment 6 Richard W.M. Jones 2009-03-11 06:34:53 EDT
New Package CVS Request
=======================
Package Name: mingw32-jasper
Short Description: MinGW Jasper library
Owners: rjones berrange epienbro
Branches: F-10 EL-5
InitialCC:
Comment 7 Kevin Fenzi 2009-03-12 22:34:18 EDT
cvs done.
Comment 8 Fedora Update System 2009-03-13 15:59:37 EDT
mingw32-jasper-1.900.1-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-jasper-1.900.1-8.fc10
Comment 9 Fedora Update System 2009-03-16 15:42:37 EDT
mingw32-jasper-1.900.1-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.